WHO-UPLOADS(1)

NOM
who-uploads - Identifier les personnes ayant envoyé des paquets source Debian

SYNOPSIS
who-uploads [options] paquet_source ...

DESCRIPTION
who-uploads utilise le système de suivi des paquets (PTS) pour identifier les personnes ayant envoyé les trois versions les plus récentes des paquets source donnés. Remarquez que ces personnes sont identifiées avec leurs clefs gpg(1). L’installation d’une version récente du paquet debian-keyring devrait fournir la plupart des clefs nécessaires.

Remarquez que puisque le PTS utilise les paquets source, vous devez donner les noms des paquets source, et non ceux des paquets binaires.

OPTIONS

-M, --max-uploads=N
    Indiquer le nombre maximal de téléversements à afficher pour chaque paquet. La valeur par défaut est 3. Notez que vous verrez moins de téléversements s’il n’y en a pas autant d’enregistrés dans le PTS.

--keyring trousseau
    Ajoute un trousseau de clefs à la liste des trousseaux à utiliser pour identifier la clef GPG des personnes ayant envoyé un paquet.

--no-default-keyrings
    Par défaut, who-uploads utilise les trois trousseaux Debian /usr/share/keyrings/debian-keyring.gpg, /usr/share/keyrings/debian-nonupload.gpg et /usr/share/keyrings/debian-maintainers.gpg (même si cette valeur peut être modifiée dans le fichier de configuration, voyez ci-dessous). En spécifiant cette option, les trousseaux par défaut ne seront pas examinés. L’option --keyring remplace cette valeur.

--date
    Afficher la date de l’envoi avec les détails sur la personne ayant effectué l’envoi

--nodate, --no-date
    Ne pas afficher la date de l’envoi avec les détails sur la personne ayant effectué l’envoi. C’est le comportement par défaut.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L’option ne peut être utilisée qu’en première position de la ligne de commande.

--help, -h
    Afficher un message d’aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d’environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

WHOUPLOADS_DATE
    Afficher la date de l’envoi avec les détails sur la personne ayant effectué l’envoi. La valeur par défaut est "no".

WHOUPLOADS_MAXUPLOADS
    Nombre maximum d’envois à afficher pour chaque paquet. La valeur par défaut est 3.

WHOUPLOADS_KEYRINGS
    Il s’agit d’une liste séparée par des deux-points des trousseaux par défaut à utiliser. Par défaut, il s’agit des trois trousseaux Debian /usr/share/keyrings/debian-keyring.gpg, /usr/share/keyrings/debian-nonupload.gpg et /usr/share/keyrings/debian-maintainers.gpg.

AUTEUR
Le programme who-uploads a été initialement écrit par Adeodato Simó <dato@net.com.org.es>. La version actuelle est écrite par Julian Gilbey <jdg@debian.org>.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.